global gMovieNum

on startMovie
  global gWhichFrame, gMovieNum, gTracker1, gCaptPict, gLineDrawing, WhichColorPage, gPaintTool, gEaselSprite, gPaintClick, gSplatSprite, gClrDialogSprite, gCancelHilite, gOKhilite, gToolClick, gToolHilite, QTSpriteNum, endTime, gCheckToolSprite, gNavHiliteSprite, copyObj, savePicHandle, pictureFlag, whichmovie, whichPage
  doNumberSwap()
  set gWhichFrame to "Color"
  set gTracker1 to pointerFactory(mnew, 3)
  set gCaptPict to 4
  set the visible of sprite gCaptPict to 0
  set gLineDrawing to 5
  puppetSprite(gLineDrawing, 1)
  set the stretch of sprite gLineDrawing to 0
  set the locH of sprite gLineDrawing to 396
  set the locV of sprite gLineDrawing to 224
  set WhichColorPage to "Pic" & gMovieNum
  set the castNum of sprite gLineDrawing to the number of cast WhichColorPage
  set gPaintTool to 6
  set gEaselSprite to 7
  set gPaintClick to 8
  set the immediate of sprite gPaintClick to 1
  set gSplatSprite to 9
  set the visible of sprite gSplatSprite to 0
  set gClrDialogSprite to 14
  set gCancelHilite to 15
  set the immediate of sprite gCancelHilite to 1
  set gOKhilite to 16
  set the immediate of sprite gOKhilite to 1
  set gToolClick to 17
  set gToolHilite to 18
  set QTSpriteNum to 19
  puppetSprite(QTSpriteNum, 1)
  set the visible of sprite QTSpriteNum to 0
  set gCheckToolSprite to 22
  set the immediate of sprite gCheckToolSprite to 1
  set gNavHiliteSprite to 23
  set the immediate of sprite gNavHiliteSprite to 1
  set the picture of cast "CurrentPal" to the picture of cast (the number of cast "Pal1" + gMovieNum - 1)
  checkToolInit()
  doColorSwapInit()
  navButtonInit()
  charButtonInit()
  set the centerStage to 1
  set pictureFlag to 0
  if the machineType = 256 then
    openXLib("MOVUTILS.DLL")
    openXLib("PRINT_X.DLL")
  else
    openXLib("StageToCast.XObj")
    openXLib("print_X")
  end if
end

on stopMovie
  global copyObj, pictureFlag, gPaintClick, gToolClick, gBeachBallClick, gToolHilite, gTracker1, gLineDrawing, QTSpriteNum
  if pictureFlag then
    resetCastMember()
  end if
  if objectp(copyObj) then
    copyObj(mdispose)
  end if
  set the immediate of sprite gPaintClick to 0
  set the immediate of sprite gToolClick to 0
  set the immediate of sprite gBeachBallClick to 0
  puppetSprite(gToolHilite, 0)
  gTracker1(mdispose)
  puppetSprite(gLineDrawing, 0)
  set the visible of sprite QTSpriteNum to 1
  if the machineType <> 256 then
    closeXLib("StageToCast.XObj")
  end if
end

on textPupoff
  global gSplatSprite, gPageNumSprite, gEaselSprite, gLineDrawing
  puppetSound(0)
  sound stop 1
  puppetSprite(gLineDrawing, 0)
  puppetSprite(5, 0)
  puppetSprite(gEaselSprite, 0)
  puppetSprite(gSplatSprite, 0)
  puppetSprite(21, 0)
  puppetSprite(23, 0)
  puppetSprite(24, 0)
  repeat with i = 12 to 17
    puppetSprite(i, 0)
  end repeat
  updateStage()
end

on goGameQuitter
  nothing()
end

on brushOnOld
  global curColor, drawing, gPageNumSprite, gLineDrawing, gPaintTool, gToolHilite, gLilEraserV, gIndexHilite, gClrDialogSprite
  if the castNum of sprite gIndexHilite = the number of cast "IndexHiliteQD" then
    set drawing to 0
  else
    if the castNum of sprite gClrDialogSprite = the number of cast "clrdialog" then
      set drawing to 0
    else
      if rollOver(gLineDrawing) then
        dontPassEvent()
        set the foreColor of sprite gPaintTool to curColor
        set drawing to 1
      end if
    end if
  end if
end

on brushOn
  global curColor, drawing, gPageNumSprite, gLineDrawing, gPaintTool, gToolHilite, gLilEraserV, gIndexHilite, gClrDialogSprite
  if rollOver(gLineDrawing) then
    if the castNum of sprite gIndexHilite = the number of cast "IndexHiliteQD" then
      set drawing to 0
    else
      if the castNum of sprite gClrDialogSprite = the number of cast "clrdialog" then
        set drawing to 0
      else
        dontPassEvent()
        set the foreColor of sprite gPaintTool to curColor
        set drawing to 1
      end if
    end if
  end if
end

on brushOff
  global drawing, gLineDrawing, gPaintTool, curColor
  set the locH of sprite gPaintTool to -100
  set the foreColor of sprite gPaintTool to 0
  if drawing = 1 then
    set drawing to 0
    set the locH of sprite gLineDrawing to the locH of sprite gLineDrawing - 640
    updateStage()
    set the locH of sprite gLineDrawing to the locH of sprite gLineDrawing + 640
    updateStage()
  end if
end

on WipeScreen
  global gPageNumSprite, gLineDrawing, gClrDialogSprite
  if the castNum of sprite gPageNumSprite = the number of cast "indexMenu" then
    exit
  end if
  if the castNum of sprite gPageNumSprite = the number of cast "indexMenu2" then
    exit
  end if
  if the castNum of sprite gClrDialogSprite = the number of cast "clrdialog" then
    exit
  end if
  set the ink of sprite gLineDrawing to 0
  updateStage()
  set the ink of sprite gLineDrawing to 36
  updateStage()
end

on doColorSwap
  global curColor, brushSize, whichBrush, gPaintClick, gPaintTool, gToolHilite, gSplatSprite, gPaintClickLocH, gPaintClickWide, gPaintClickLocV, gPaintGapHeight, gBigToolW, gSmallToolW, gAllToolH, gBigBrushH, gBigBrushV, gLilBrushH, gLilBrushV, gColor1, gColor2, gColor3, gColor4, gColor5, gColor6, gColor7
  set spriteTop to gPaintClickLocV
  set mv to the mouseV
  set testResult to (1 * ((mv >= spriteTop) and (mv < (spriteTop + gPaintGapHeight)))) + (2 * ((mv >= (spriteTop + (gPaintGapHeight * 2))) and (mv < (spriteTop + (gPaintGapHeight * 3))))) + (3 * ((mv >= (spriteTop + (gPaintGapHeight * 4))) and (mv < (spriteTop + (gPaintGapHeight * 5))))) + (4 * ((mv >= (spriteTop + (gPaintGapHeight * 6))) and (mv < (spriteTop + (gPaintGapHeight * 7))))) + (5 * ((mv >= (spriteTop + (gPaintGapHeight * 8))) and (mv < (spriteTop + (gPaintGapHeight * 9))))) + (6 * ((mv >= (spriteTop + (gPaintGapHeight * 10))) and (mv < (spriteTop + (gPaintGapHeight * 11))))) + (7 * ((mv >= (spriteTop + (gPaintGapHeight * 12))) and (mv < (spriteTop + (gPaintGapHeight * 13)))))
  if testResult <> 0 then
    cursor(510)
    set the visible of sprite gSplatSprite to 1
    set curColor to value("gColor" & testResult)
    set the castNum of sprite gSplatSprite to the number of cast "IrisRed" + (testResult - 1)
    set the locH of sprite gSplatSprite to gPaintClickLocH + (gPaintClickWide / 2) + 1
    set the locV of sprite gSplatSprite to gPaintClickLocV + ((testResult - 1) * (gPaintGapHeight * 2)) + (gPaintGapHeight / 2)
    if whichBrush = 1 then
      set the width of sprite gPaintTool to brushSize
      set the height of sprite gPaintTool to brushSize
      set the width of sprite gToolHilite to gSmallToolW + 1
      set the height of sprite gToolHilite to gAllToolH
      set the locH of sprite gToolHilite to gBigBrushH
      set the locV of sprite gToolHilite to gBigBrushV
    else
      if whichBrush = 2 then
        set the width of sprite gPaintTool to brushSize / 2
        set the height of sprite gPaintTool to brushSize / 2
        set the width of sprite gToolHilite to gSmallToolW
        set the height of sprite gToolHilite to gAllToolH
        set the locH of sprite gToolHilite to gLilBrushH
        set the locV of sprite gToolHilite to gLilBrushV
      end if
    end if
    puppetSound("wetsplsh.aif")
    updateStage()
  else
    if testResult = 0 then
      nothing()
    end if
  end if
end

on doTool0
  nothing()
end

on doTool1
  global whichBrush, brushSize, curColor, gColor1, gToolClick, gToolHilite, gSmallToolW, gAllToolH, gBarW, gBigBrushH, gBigBrushV, gSplatSprite, gPaintClickLocH, gPaintClickLocV, gPaintClickWide, gPaintGapHeight, gPaintTool
  set the width of sprite gToolHilite to gSmallToolW + 1
  set the height of sprite gToolHilite to gAllToolH
  set the locH of sprite gToolHilite to gBigBrushH
  set the locV of sprite gToolHilite to gBigBrushV
  set the castNum of sprite gToolClick to the number of cast "BigDown"
  set the locH of sprite gToolClick to gBigBrushH + (gSmallToolW / 2)
  set the locV of sprite gToolClick to gBigBrushV + (gAllToolH / 2) - (gBarW / 2)
  cursor(510)
  set whichBrush to 1
  set the width of sprite gPaintTool to brushSize
  set the height of sprite gPaintTool to brushSize
  updateStage()
  if curColor = 0 then
    set curColor to gColor1
    set the castNum of sprite gSplatSprite to the number of cast "IrisRed"
    set the locH of sprite gSplatSprite to gPaintClickLocH + (gPaintClickWide / 2) + 1
    set the locV of sprite gSplatSprite to gPaintClickLocV + (gPaintGapHeight / 2)
    set the visible of sprite gSplatSprite to 1
    puppetSound("WetSplsh.aif")
    updateStage()
  end if
end

on doTool2
  global whichBrush, brushSize, curColor, gColor1, gSmallToolW, gAllToolH, gBarW, gLilBrushH, gLilBrushV, gToolHilite, gPaintTool, gToolClick, gPaintClickLocH, gPaintClickLocV, gPaintClickWide, gPaintGapHeight, gSplatSprite
  set the width of sprite gToolHilite to gSmallToolW
  set the height of sprite gToolHilite to gAllToolH
  set the locH of sprite gToolHilite to gLilBrushH
  set the locV of sprite gToolHilite to gLilBrushV
  set the castNum of sprite gToolClick to the number of cast "LilDown"
  set the locH of sprite gToolClick to gLilBrushH + (gSmallToolW / 2)
  set the locV of sprite gToolClick to gLilBrushV + (gAllToolH / 2) - (gBarW / 2)
  cursor(510)
  set whichBrush to 2
  set the width of sprite gPaintTool to brushSize / 2
  set the height of sprite gPaintTool to brushSize / 2
  updateStage()
  if curColor = 0 then
    set curColor to gColor1
    set the castNum of sprite gSplatSprite to the number of cast "IrisRed"
    set the locH of sprite gSplatSprite to gPaintClickLocH + (gPaintClickWide / 2) + 1
    set the locV of sprite gSplatSprite to gPaintClickLocV + (gPaintGapHeight / 2)
    set the visible of sprite gSplatSprite to 1
    puppetSound("WetSplsh.aif")
    updateStage()
  end if
end

on doTool3
  global gToolHilite, gBigToolW, gBigEraserH, gBigEraserV, gAllToolH
  cursor(0)
  copyMacOrPC()
  set the width of sprite gToolHilite to gBigToolW
  set the height of sprite gToolHilite to gAllToolH
  set the locH of sprite gToolHilite to gBigEraserH
  set the locV of sprite gToolHilite to gBigEraserV
  updateStage()
  go("checkEr")
end

on doTool4
  global gSplatSprite, gToolHilite, gToolClick, gAllToolH, gBigToolW, gBarW, gPaintTool, gLilEraserH, gLilEraserV, curColor, brushSize
  set the height of sprite gToolHilite to gAllToolH
  set the width of sprite gToolHilite to gBigToolW
  set the locH of sprite gToolHilite to gLilEraserH
  set the locV of sprite gToolHilite to gLilEraserV
  repeat with x = 1 to 5
    set the castNum of sprite gToolClick to the number of cast "Pencil1" + (x - 1)
    set the height of sprite gToolClick to gAllToolH
    set the width of sprite gToolClick to gBigToolW
    set the locH of sprite gToolClick to gLilEraserH + (gBigToolW / 2)
    set the locV of sprite gToolClick to gLilEraserV + (gAllToolH / 2)
    updateStage()
  end repeat
  cursor(128)
  set whichBrush to 1
  set the width of sprite gPaintTool to brushSize
  set the height of sprite gPaintTool to brushSize
  set the visible of sprite gSplatSprite to 0
  set curColor to 0
end

on doTool5
  set gMacPicStarter to 127
  set gPCPicStarter to 127
  set PicHeightList to [236, 274, 178, 206, 194, 280, 290, 250, 278, 232]
  if the machineType = 256 then
    set gPrintObject to PRINT_X(mnew)
    set whichPicture to gPCPicStarter + gMovieNum
    gPrintObject(mSetBodyJustify, 0)
    set whichPictureHeight to getAt(PicHeightList, gMovieNum)
    set midPageStart to 5 * 72
    set pictureStart to integer(midPageStart - (whichPictureHeight / 2))
    gPrintObject(mSetPictTop, pictureStart)
    set textStart to integer(pictureStart + whichPictureHeight + 36)
    gPrintObject(mSetBodyTop, textStart)
    gPrintObject(mPrintPage, EMPTY, EMPTY, the text of cast ("PicText" & gMovieNum), the pathName & "Pc_Pics.dll", whichPicture)
  else
    set gPrintObject to PRINT_X(mnew)
    set whichPicture to gMacPicStarter + gMovieNum
    gPrintObject(mSetBodyJustify, 0)
    set whichPictureHeight to getAt(PicHeightList, gMovieNum)
    set midPageStart to 5 * 72
    set pictureStart to integer(midPageStart - (whichPictureHeight / 2))
    gPrintObject(mSetPictTop, pictureStart)
    set textStart to integer(pictureStart + whichPictureHeight + 36)
    gPrintObject(mSetBodyTop, textStart)
    gPrintObject(mPrintPage, EMPTY, EMPTY, the text of cast ("PicText" & gMovieNum), the pathName & "PMacPics", whichPicture)
  end if
  if objectp(gPrintObject) then
    gPrintObject(mdispose)
  end if
end

on doStopPaint
  global gToolHilite, whichmovie, gToolClick, gStopH, gStopV, gBigToolW, gAllToolH, gStopHiliteSize, gMovieNum, gLineDrawing, gEaselSprite
  cursor(0)
  textPupoff()
  set the castNum of sprite gToolClick to the number of cast "BigStop"
  set the width of sprite gToolClick to gStopHiliteSize
  set the height of sprite gToolClick to gStopHiliteSize
  set the locH of sprite gToolClick to gStopH + (gBigToolW / 2)
  set the locV of sprite gToolClick to gStopV + (gAllToolH / 2)
  puppetSound("stop11")
  updateStage()
  puppetSprite(gToolClick, 0)
  puppetSprite(gToolHilite, 0)
  go("MM", "Page" & gMovieNum)
end

on doTool6
  global gLineDrawing
  puppetSprite(gLineDrawing, 1)
  puppetSound("ClickPlop")
  set the foreColor of sprite gLineDrawing to random(255)
  updateStage()
end

on checkTool
  global gLilBrushH, gLilBrushBottom, gBigBrushRight, gBigBrushBottom, gBigEraserV, gBigEraserBottom, gLilEraserV, gLilEraserBottom, gPrintV, gPrintBottom, gStopV, gStopBottom, gSmallToolW, gBigToolW, gAllToolH, gBarW, gBigToolRight, gBigBrushH, gBigBrushV
  set mh to the mouseH
  set mv to the mouseV
  put "doTool" & (1 * ((mh > gBigBrushH) and (mh < gBigBrushRight) and ((mv > gBigBrushV) and (mv < gBigBrushBottom)))) + (2 * ((mh > gLilBrushH) and (mh < gBigToolRight) and ((mv > gBigBrushV) and (mv < gLilBrushBottom)))) + (3 * ((mh > gBigBrushH) and (mh < gBigToolRight) and ((mv > gBigEraserV) and (mv < gBigEraserBottom)))) + (4 * ((mh > gBigBrushH) and (mh < gBigToolRight) and ((mv > gLilEraserV) and (mv < gLilEraserBottom)))) + (5 * ((mh > gBigBrushH) and (mh < gBigToolRight) and ((mv > gPrintV) and (mv < gPrintBottom)))) + (6 * ((mh > gBigBrushH) and (mh < gBigToolRight) and ((mv > gStopV) and (mv < gStopBottom))))
  do("doTool" & (1 * ((mh > gBigBrushH) and (mh < gBigBrushRight) and ((mv > gBigBrushV) and (mv < gBigBrushBottom)))) + (2 * ((mh > gLilBrushH) and (mh < gBigToolRight) and ((mv > gBigBrushV) and (mv < gLilBrushBottom)))) + (3 * ((mh > gBigBrushH) and (mh < gBigToolRight) and ((mv > gBigEraserV) and (mv < gBigEraserBottom)))) + (4 * ((mh > gBigBrushH) and (mh < gBigToolRight) and ((mv > gLilEraserV) and (mv < gLilEraserBottom)))) + (5 * ((mh > gBigBrushH) and (mh < gBigToolRight) and ((mv > gPrintV) and (mv < gPrintBottom)))) + (6 * ((mh > gBigBrushH) and (mh < gBigToolRight) and ((mv > gStopV) and (mv < gStopBottom)))))
end

on initColoring
  global curColor, brushSize, drawing, whichBrush, gSplatSprite, gPaintTool, gLineDrawing, gEaselSprite, gToolHilite, gCaptPict, gMovieNum
  set drawing to 0
  set curColor to 0
  set brushSize to 12
  set whichBrush to 1
  puppetSprite(gLineDrawing, 1)
  puppetSprite(gPaintTool, 1)
  puppetSprite(gToolHilite, 1)
  puppetSprite(gEaselSprite, 1)
  puppetSprite(gSplatSprite, 1)
  puppetSprite(gCaptPict, 1)
  set the stretch of sprite gCaptPict to 0
  set the picture of cast "PaintLocation" to the picture of cast the castNum of sprite gLineDrawing
  set the type of sprite gCaptPict to 1
  set the locH of sprite gCaptPict to the locH of sprite gLineDrawing
  set the locV of sprite gCaptPict to the locV of sprite gLineDrawing
  set templateLeft to the left of sprite gLineDrawing
  set templateTop to the top of sprite gLineDrawing
  set templateRight to the right of sprite gLineDrawing
  set templateBottom to the bottom of sprite gLineDrawing
  spriteBox(gCaptPict, templateLeft, templateTop, templateRight, templateBottom)
  spriteBox(gEaselSprite, templateLeft, templateTop, templateRight, templateBottom)
  set the visible of sprite gCaptPict to 1
  updateStage()
  when mouseDown then brushOn -- do brushOn handler when mouse is down
  when mouseUp then brushOff  -- do brushOff handler when mouse is up  
end

on checkToolInit
  global gBigBrushH, gBigBrushV, gBigBrushRight, gBigBrushBottom, gLilBrushH, gLilBrushV, gLilBrushBottom, gBigEraserH, gBigEraserV, gBigEraserBottom, gLilEraserH, gLilEraserV, gLilEraserBottom, gPrintH, gPrintV, gPrintBottom, gStopH, gStopV, gStopBottom, gStopHiliteSize, gBigToolRight, gSmallToolW, gBigToolW, gAllToolH, gBarW
  set gSmallToolW to 27
  set gBigToolW to 62
  set gAllToolH to 49
  set gBarW to 9
  set gBigToolRight to gBigBrushH + gBigToolW
  set gStopHiliteSize to 37
  set gBigBrushH to 153 + 8 + 1
  set gBigBrushV to 80
  set gBigBrushRight to gBigBrushH + gSmallToolW
  set gBigBrushBottom to gBigBrushV + gAllToolH
  set gLilBrushH to gBigBrushH + gSmallToolW + gBarW - 1
  set gLilBrushV to gBigBrushV
  set gLilBrushBottom to gLilBrushV + gAllToolH
  set gBigEraserH to gBigBrushH
  set gBigEraserV to gBigBrushBottom + gBarW
  set gBigEraserBottom to gBigEraserV + gAllToolH
  set gLilEraserH to gBigBrushH
  set gLilEraserV to gBigEraserBottom + gBarW
  set gLilEraserBottom to gLilEraserV + gAllToolH
  set gPrintH to gBigBrushH
  set gPrintV to gLilEraserBottom + gBarW
  set gPrintBottom to gPrintV + gAllToolH
  set gStopH to gBigBrushH
  set gStopV to gPrintBottom + gBarW
  set gStopBottom to gStopV + gAllToolH
end

on doColorSwapInit
  global gPaintClickWide, gPaintClickHeight, gPaintClickLocH, gPaintClickLocV, gPaintGapHeight, gColor1, gColor2, gColor3, gColor4, gColor5, gColor6, gColor7, gColor1H, gColor1V, gColor2H, gColor2V, gColor3H, gColor3V, gColor4H, gColor4V, gColor5H, gColor5V, gColor6H, gColor6V, gColor7H, gColor7V
  set gPaintClickWide to 29
  set gPaintClickHeight to 273
  set gPaintClickLocH to 111 + 8
  set gPaintClickLocV to 85
  set gPaintGapHeight to 20
  set gColor1 to 215
  set gColor2 to 23
  set gColor3 to 5
  set gColor4 to 228
  set gColor5 to 210
  set gColor6 to 137
  set gColor7 to 254
  set gColor1H to gPaintClickLocH + (gPaintClickWide / 2)
  set gColor1V to gPaintClickLocV + (gPaintGapHeight / 2)
  set gColor2H to gColor1H
  set gColor2V to gColor1V + (gPaintGapHeight * 2)
  set gColor3H to gColor1H
  set gColor3V to gColor1V + (gPaintGapHeight * 4)
  set gColor4H to gColor1H
  set gColor4V to gColor1V + (gPaintGapHeight * 6)
  set gColor5H to gColor1H
  set gColor5V to gColor1V + (gPaintGapHeight * 8)
  set gColor6H to gColor1H
  set gColor6V to gColor1V + (gPaintGapHeight * 10)
  set gColor7H to gColor1H
  set gColor7V to gColor1V + (gPaintGapHeight * 12)
end

on checkLeftCharPAINT
  global gCharButWide, gCharButHigh, gCharButDistLeft, gIrisButDistTop, gMspButDistTop, gPlaButDistTop, gSkeButWide, gSkeButHigh, gSkeButDistLeft, gSkeButDistTop, gMovieNum, gLineDrawing, gEaselSprite, gBeachLeft, gBeachTop, gBeachRight, gBeachBottom
  set mv to the mouseV
  set mh to the mouseH
  goGameQuitter()
  if (mh > gCharButDistLeft) and (mh < (gCharButDistLeft + gCharButWide)) and ((mv > gIrisButDistTop) and (mv < (gIrisButDistTop + gCharButHigh))) then
    set gLooper to 1
    puppetSound("mouseClick")
    updateStage()
    go("Game", "Page" & gMovieNum)
  else
    if (mh > gCharButDistLeft) and (mh < (gCharButDistLeft + gCharButWide)) and ((mv > gMspButDistTop) and (mv < (gMspButDistTop + gCharButHigh))) then
      set gLooper to 1
      puppetSound("mouseClick")
      updateStage()
      go("Spell", "Page" & gMovieNum)
    else
      if (mh > gCharButDistLeft) and (mh < (gCharButDistLeft + gCharButWide)) and ((mv > gPlaButDistTop) and (mv < (gPlaButDistTop + gCharButHigh))) then
        set gLooper to 1
        nothing()
      end if
    end if
  end if
end

on charButtonInitPAINT
  global gCharButWide, gCharButHigh, gCharButDistLeft, gIrisButDistTop, gMspButDistTop, gPlaButDistTop, gSkeButWide, gSkeButHigh, gSkeButDistLeft, gSkeButDistTop, gPianButDistLeft, gPianButDistTop, gLeftCharBank, gRightCharBank
  set gCharButWide to 65
  set gCharButHigh to 70
  set gCharButDistLeft to 15
  set gIrisButDistTop to 45
  set gMspButDistTop to 115
  set gPlaButDistTop to 185
  set gPianButDistLeft to 555
  set gPianButDistTop to 115
  set gSkeButWide to 45
  set gSkeButHigh to 100
  set gSkeButDistLeft to 589
  set gSkeButDistTop to 278
  set gLeftCharBank to 20
  set gRightCharBank to 21
  set the immediate of sprite gLeftCharBank to 1
  set the immediate of sprite gRightCharBank to 1
end

on IndexOverDraw
  copyMacOrPC()
  cursor(-1)
  repeat with x = 4 to 9
    set the visible of sprite x to 0
  end repeat
  set the visible of sprite 18 to 0
end

on IndexOffDraw
  cursor(510)
  repeat with x = 4 to 9
    set the visible of sprite x to 1
  end repeat
  set the visible of sprite 18 to 1
end
